Bug 474981 - Review Request: jcalendar - A Java date chooser bean for graphically picking a date
Review Request: jcalendar - A Java date chooser bean for graphically picking ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 475017
  Show dependency treegraph
 
Reported: 2008-12-06 06:05 EST by Sandro Mathys
Modified: 2009-01-14 22:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 09:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-06 06:05:37 EST
Spec URL: http://red.fedorapeople.org/SRPMS/jcalendar.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/jcalendar-1.3.2-0.1.fc10.src.rpm
Description: A Java date chooser bean for graphically picking a date.
JCalendar is composed of several other Java beans, a JDayChooser, a
JMonthChooser and a JYearChooser. All these beans have a locale property,
provide several icons (Color 16x16, Color 32x32, Mono 16x16 and Mono 32x32)
and their own locale property editor. So they can easily be used in GUI
builders. Also part of the package is a JDateChooser, a bean composed of an
IDateEditor (for direct date editing) and a button for opening a JCalendar
for selecting the date.

This is a dependency for l2fprod-common, which I'm packaging too (no review request yet, but coming soon). l2fprod-common is a dependency needed for tvbrowser, for which a review request exists already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:02:50 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-13 13:28:39 EST
Some notes

* Versioning
  - As this does not seem to be a "pre-release" of version
    1.3.2, you should not use "0." for release number.

* License
  - For this package the license tag must be "LGPLv2+"

* BuildRequires/Requires
  - Please follow
    https://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires

! Timestamp
  - Preserving the original timestamp on jcalendar-license.txt
    is preferred.

* Directory ownership issue
  - This package should not own %_javadir.
Comment 3 Mamoru TASAKA 2008-12-13 13:45:39 EST

(In reply to comment #2)
> ! Timestamp
>   - Preserving the original timestamp on jcalendar-license.txt
>     is preferred.

like...

sed -i -e 's|\r||' jcalendar-license.txt > tmp
touch -r jcalendar-license.txt tmp
mv -f tmp jcalendar-license.txt
Comment 4 Sandro Mathys 2008-12-14 21:07:39 EST
Spec URL: http://red.fedorapeople.org/SRPMS/jcalendar.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/jcalendar-1.3.2-1.fc10.src.rpm

Thanks for the comments! Everything has been addressed in the new version.

The given script for preserving the timestamp while remove all \r didn't work but I got the idea and was able to come up with this:

%{__sed} -i.tmp 's/\r//' jcalendar-license.txt
touch -r jcalendar-license.txt.tmp jcalendar-license.txt

This does what was intended I think...and is even a little bit shorter.
Comment 5 Mamoru TASAKA 2008-12-15 09:57:33 EST
Okay, no problem.

-----------------------------------------------------
   This package (jcalendar) is APPROVED by mtasaka
-----------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji) ".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

Note that now you are using red_AT_fedoraproject.org as bugzilla
account, but using sm_AT_XXXXXX as FAS account mail address.
To set fedora-cvs flag (this is needed for review process, which
is written in "Join" wiki) or fedora-review flag (if you want to
review other person's review request), you have to create bugzilla
account with sm_AT_XXXXX mail address (if not exist) and login
bugzilla as sm_AT_XXXXX account.

If you have some question, please ask me.

Removing NEEDSPONSOR


If you have questions, please ask me.
Comment 6 Sandro Mathys 2008-12-15 21:43:11 EST
I already had this account...I didn't even remember :D

Uhm, do I need to do anything on my review requests with this account now? I think I can't change the 'reporter' or can I?

Thanks again for your help. I'll also update my other review requests since pretty every package matches the problems from comment #2. I've actually already fixed that locally but I'll need to update the requests when I find the time to do so....just saying this before you posts the problems from #2 everywhere ;)
Comment 7 Sandro Mathys 2008-12-15 21:54:33 EST
New Package CVS Request
=======================
Package Name: jcalendar
Short Description: A Java date chooser bean for graphically picking a date
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 8 Kevin Fenzi 2008-12-17 19:15:52 EST
cvs done.
Comment 9 Mamoru TASAKA 2009-01-08 12:00:49 EST
ping?
Comment 10 Fedora Update System 2009-01-09 06:32:54 EST
jcalendar-1.3.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jcalendar-1.3.2-1.fc10
Comment 11 Fedora Update System 2009-01-09 06:33:41 EST
jcalendar-1.3.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jcalendar-1.3.2-1.fc9
Comment 12 Mamoru TASAKA 2009-01-09 09:59:48 EST
Okay, thanks.
Comment 13 Fedora Update System 2009-01-14 21:59:03 EST
jcalendar-1.3.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-01-14 22:00:48 EST
jcalendar-1.3.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.